%define name drakx-installer-stage2
%define version 10.29
%define release %mkrel 1

Summary: DrakX installer stage2 image
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.lzma
License: GPLv2+
Group: Development/Other
Url: http://wiki.mandriva.com/Tools/DrakX
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: squashfs-tools
BuildRequires: libx11-devel perl-devel libldetect-devel drakx-installer-binaries
BuildRequires: perl-Gtk2 perl-Glib perl-XML-Parser perl-Curses perl-Curses-UI perl-Term-ReadKey
BuildRequires: perl-Locale-gettext packdrake
BuildRequires: drakx-net >= 0.32
BuildRequires: drakx-kbd-mouse-x11 >= 0.49
BuildRequires: rpm-mandriva-setup >= 1.48
BuildRequires: perl-MDK-Common >= 1.2.7
BuildRequires: urpmi >= 4.10.1
BuildRequires: perl-URPM >= 3.01
BuildRequires: meta-task
BuildRequires: ldetect-lst >= 0.1.202-1mdv2008.1
BuildRequires: draksnapshot
# progs
BuildRequires: e2fsprogs >= 1.40.4-4mdv2008.1
BuildRequires: dosfstools 
BuildRequires: task-x11 libx11-devel libxxf86misc-devel x11-driver-video-fbdev
BuildRequires: setserial pciutils mt-st reiserfsprogs jfsutils
BuildRequires: xfsprogs pcmcia-cs gettext ash linuxwacom
BuildRequires: fonts-ttf-bengali fonts-ttf-bitstream-vera fonts-ttf-gurmukhi fonts-ttf-thai fonts-ttf-devanagari
BuildRequires: fb2png ntfsprogs ia_ora-gnome brltty
BuildRequires: lvm2 glibc-i18ndata
BuildRequires: dmraid mdadm quota
BuildRequires: losetup xmodmap xset monitor-edid locales
BuildRequires: perl-Gtk2-Html2 mandriva-doc-installer-help
BuildRequires: nfs-utils-clients

%description
This is the stage2 image for Mandriva DrakX installer.

%prep
%setup -q

%build
make -C tools
make -C perl-install/install
rpm -qa | sort > build-rpms.lst

%install
rm -rf $RPM_BUILD_ROOT

dest=$RPM_BUILD_ROOT%{_libdir}/%name
mkdir -p $dest
make -C perl-install/install install ROOTDEST=$dest
make -C tools install ROOTDEST=$dest

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc build-rpms.lst
%{_libdir}/%name




%changelog
* Thu Apr 03 2008 Olivier Blin <oblin@mandriva.com> 10.29-1mdv2008.1
+ Revision: 192257
- 10.29
- time: write UTC setting in /etc/adjtime (#36522)

* Thu Apr 03 2008 Olivier Blin <oblin@mandriva.com> 10.28-2mdv2008.1
+ Revision: 192210
- rebuild for ldetect, perl-MDK-Common and drakx-net

* Thu Apr 03 2008 Pixel <pixel@mandriva.com> 10.28-1mdv2008.1
+ Revision: 192172
- 10.28:
- fix computed install size in group selection (#39303)
  (it didn't take suggests into account)

* Thu Apr 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 10.27-1mdv2008.1
+ Revision: 192081
- 2008.1 logo (the good one)
- enable to restore the system through rsnapshot if giving "restore"
  on cmdline
- fix broken help because of s/pt_BR/pt_br/ change in file names (#36774)

* Wed Apr 02 2008 Pixel <pixel@mandriva.com> 10.26-1mdv2008.1
+ Revision: 191549
- 10.26:
- 2008.1 logo
- fix crash when detecting network connection with supplementary media

* Mon Mar 31 2008 Pixel <pixel@mandriva.com> 10.23-1mdv2008.1
+ Revision: 191195
- 10.23:
- ensure umount on loopback-mounted-file doesn't leak /dev/loop
  (otherwise it breaks install from isos on disk) (#36992)
- warn the user and propose to install/quit-install before upgrading from a
  partition where "/" is ext3 with block-size 1KB to avoid kernel bug (#37583)
- detect as laptop systems with ACPI lid button
  (i.e. if /sys/bus/acpi/devices/PNP0C0D:* exists)
- fix computing time according to timezone in local/UTC dialog
  (by using zoneinfo files from the installed prefix)

* Thu Mar 27 2008 Olivier Blin <oblin@mandriva.com> 10.21-2mdv2008.1
+ Revision: 190767
- rebuild with latest drakx-net (for shorewall fixes)

* Tue Mar 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 10.21-1mdv2008.1
+ Revision: 190156
- partitioning wizard: allow "Use free space" if there is an extended
  partition even if all primary partitions are used (#38804)
  (*old* bug!)
- fix errors while setting PA preferences (#39270)
- use umask=0 by default on vfat (#39315)
- root/user password:
  o force the password to be utf8 (#23273)

* Fri Mar 21 2008 Thierry Vignaud <tvignaud@mandriva.com> 10.19-1mdv2008.1
+ Revision: 189434
- diskdrake:
  o fix setting mount point of a /dev/mdX (#39142)
    (regression introduced in 10.8)
- when skipping bootloader installation, correctly say "None" in summary
  (#39101)
- correctly set country when given lang=xxx on /proc/cmdline
  (regression introduced in 10.16) (#39104)

* Fri Mar 21 2008 Olivier Blin <oblin@mandriva.com> 10.18-1mdv2008.1
+ Revision: 189299
- 10.18
- when reformatting swap, keep existing UUID (#38877)
- ask which drive to install bootloader if we don't really know which
  is first bios drive (cf #38829)
- fix reading alternatives in install
- add Xorg.0.log to report.bug.gz (to help diagnose why X failed)

* Thu Mar 20 2008 Olivier Blin <oblin@mandriva.com> 10.17-1mdv2008.1
+ Revision: 189073
- 10.17
- do not unconfigure timezone if timezone screen is canceled (#33565)
- update OpenOffice/BrOffice alternative according to selected lang (#37820)

* Tue Mar 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 10.16-2mdv2008.1
+ Revision: 188599
- adduserdrake:
  o display kdm/gdm icon again (was disabled on year ago)
- do not write aliases for asus_acpi and thinkpad_acpi in
  modprobe.preload, the modules are now handled by coldplug
- fix setting default lang (which is given by gfxboot)

* Tue Mar 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 10.15-2mdv2008.1
+ Revision: 188442
- rebuild with a more robust resize2fs
- BuildRequires: draksnapshot

* Fri Mar 14 2008 Olivier Blin <oblin@mandriva.com> 10.15-1mdv2008.1
+ Revision: 188021
- require new drakx-net
- 10.15
- 2008.1 RC2 logo

* Fri Mar 14 2008 Pixel <pixel@mandriva.com> 10.14-1mdv2008.1
+ Revision: 187922
- 10.14:
- adapt to cooker:
  o brltty libraries are now correctly in /lib64 on x86_64
- 10.13:
- mount ntfs-3g as ntfs during install
  (fixes adding "windows" entry in bootloader)
- really fix partition device name for some dmraid (missing "p", cf #38363)
- cpufreq: fix gsx-suspmod probe
- do not propose to upgrade non-mandriva and non-conectiva distros (#38408)

* Thu Mar 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 10.10-1mdv2008.1
+ Revision: 181000
- fix resizing/formatting ntfs, and create "Windows" entry in bootloader
  (broken because of ntfs-3g switch in previous release)
- install kernel586 on Transmeta Crusoe TM5800 (#37866)
- do not load i810fb, rely on vesa xorg drive instead (it may help #37772)
- restore correct configuration of nfs/hd media in urpmi.cfg
  (regression introduced in 10.8)
- fix partition device name for some dmraid (missing "p", cf #38363)
- do not timeout after 10 minutes when resizing NTFS partition

* Tue Mar 04 2008 Pixel <pixel@mandriva.com> 10.8-1mdv2008.1
+ Revision: 178327
- 10.8:
- adapt code to upgrade from redhat for mdv extensions (& for Manbo
  Core by the way)
- auto allocate: do not create /home if drive is smaller than 7GB
- do not propose to deselect media if none can be deselected
- no more /media/cdrom in fstab by default (#35055)
  (not needed anymore by urpmi)
- use cdrom:// instead of removable:// in urpmi.cfg (urpmi 5.7)
- use and install ntfs-3g by default for ntfs partitions (#37823)

* Fri Feb 29 2008 Olivier Blin <oblin@mandriva.com> 10.6.25-3mdv2008.1
+ Revision: 176806
- rebuild with non-x86_64-broken ldetect

* Fri Feb 29 2008 Olivier Blin <oblin@mandriva.com> 10.6.25-2mdv2008.1
+ Revision: 176681
- rebuild with new drakx-net

* Fri Feb 29 2008 Olivier Blin <oblin@mandriva.com> 10.6.25-1mdv2008.1
+ Revision: 176566
- 10.6.25
- API changes for draklive-install

  + Pixel <pixel@mandriva.com>
    - rebuild to have drakx-kbd-mouse-x11 >= 0.49

* Thu Feb 28 2008 Pixel <pixel@mandriva.com> 10.6.24-1mdv2008.1
+ Revision: 176224
- 10.6.24:
- do not assign a mount point to partitions of type "Compaq diagnostics"
- 2008.1 RC1 logo

* Mon Feb 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 10.6.23-1mdv2008.1
+ Revision: 174983
- adapt to cooker:
  o jfsprogs is now jfsutils
- change background color
- jfsprogs is now jfsutils

* Tue Feb 19 2008 Olivier Blin <oblin@mandriva.com> 10.6.21-1mdv2008.1
+ Revision: 173067
- 10.6.21
- adapt to cooker rpm macros new locations

  + Thierry Vignaud <tvignaud@mandriva.com>
    - do not create alt_windows unless needed
      (regression introduced on 2007-11-26) (#37722)
    - install linuxwacom if needed
    - load disk/ide before disk/scsi, or else sata_sis may be loaded for a
      SATA controller and trigger pata_sis loading before sis5513 is loaded,
      which would defeat an eventual alias to sis5513 for a PATA controller
    - cpufreq:
      o use acpi-cpufreq for Mobile PIII/Celeron
        (family 6 model 11, for example Toshiba Port?\195?\169g?\195?\169 3500)
      o use speedstep-centrino only for supported models
        and prefer acpi-cpufreq (patch from Herton, #30208)
      o use p4-clockmod for some Intel family 6 processors not supporting EST

* Tue Feb 12 2008 Pixel <pixel@mandriva.com> 10.6.19-1mdv2008.1
+ Revision: 166214
- 10.6.19:
- do not propose "KDE, GNOME or Custom" profiles if the partition is small
  (< 2.5GB) otherwise the installer will not be able to install the full profile
- auto partitioning: ensure the "/" is bigger on small drives

* Tue Feb 12 2008 Olivier Blin <oblin@mandriva.com> 10.6.18-1mdv2008.1
+ Revision: 165642
- 10.6.18
- adapt to modules being in /lib/modules/`uname -r`

* Mon Feb 11 2008 Pixel <pixel@mandriva.com> 10.6.16-1mdv2008.1
+ Revision: 165324
- 10.6.16:
- Xorg needs xkb/rules/base, otherwise it can go crazy (#35912)
- add mkntfs (#37462)
- detect systems with C7-M processor as laptop (like Belinea s.book)

* Fri Feb 08 2008 Pixel <pixel@mandriva.com> 10.6.13-3mdv2008.1
+ Revision: 164216
- rebuild for fixed "kbd" X driver

* Fri Feb 08 2008 Pixel <pixel@mandriva.com> 10.6.13-2mdv2008.1
+ Revision: 163994
- rebuild with latest ldetect-lst

* Tue Feb 05 2008 Pixel <pixel@mandriva.com> 10.6.13-1mdv2008.1
+ Revision: 162686
- 10.6.13:
- add "vesa" X driver to use when framebuffer fails
  (useful for boxes which work with vga=785 which is not the default, in that
  case "vesa" should work)

* Tue Feb 05 2008 Pixel <pixel@mandriva.com> 10.6.12-1mdv2008.1
+ Revision: 162639
- rebuild with new x11-server (#35912)
- 10.6.12:
- 2008.1 beta2 logo
- set $::isInstall soon enough for fs::type data-structure creation:
  fixes reiser4 appearing in diskdrake during install (#36999)
- add grub entries to allow booting other installed distros
  (using grub "configfile") (see #16604)

* Wed Jan 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 10.6.10-1mdv2008.1
+ Revision: 160232
- handle new drivers:
  o ethernet: cpmac
  o gigabit: ipg
  o pata/sata: pata_bf54x, sata_fsl
  o sound: snd-at73c213
  o tv cards: cx23885
  o webcams: tcm825x
- fix detecting existing LVMs (#31228)
  (regression introduced in 10.4.204 (?))
- fix ensuring X is launched on tty7 (cf #37087)
- fix handling LVM VGs with "-" in the name (#37267)
- call X with -nolisten tcp to avoid "security" issues (#18320)
  (nb: this implies "xhost+" helper prog is not useful anymore)
- do not propose ext4dev filesystem during install (#37157)
- rebuild with a mke2fs friendler for user EA & a fsck friendly enough to not
  run fsck for dummy reasons on startup

* Thu Jan 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 10.6.8-1mdv2008.1
+ Revision: 157533
- 2008.1 beta1 logo
- look for LVM PV on non partitioned disk before looking for DOS
  partition_table (esp. for lilo which puts the DOS magic)

* Tue Jan 22 2008 Pixel <pixel@mandriva.com> 10.6.7-1mdv2008.1
+ Revision: 156295
- 10.6.7:
- add xkb/symbols/inet (which is now needed by default for pc105)

* Tue Jan 22 2008 Pixel <pixel@mandriva.com> 10.6.6-1mdv2008.1
+ Revision: 156269
- 10.6.6:
- adapt to perl 5.10.0
- create /dev/cdrom symlink for installer (#36703)
- do not put "windows" entry in bootloader for partitions where Windows is not
  present (#8086)
- 10.6.5:
- do not sort languages in "choose language" step in graphical mode, since the
  sort is done on the non-translated strings (eg: we display "Espanol" but we
  sort on Spanish )
- require e2fsprogs with fixed blkid for ntfs (#36144)

* Wed Jan 09 2008 Pixel <pixel@mandriva.com> 10.6.3-1mdv2008.1
+ Revision: 147148
- 10.6.3:
- adapt to cooker:
  o /usr/lib/gconv/KOI8-K.so is no more, take KOI8-*.so
- don't buildrequire rpm >= 4.4.8 (since we now use 4.4.2.2)
- 10.6.2:
- 2008.1 alpha2 logo
- adapt to cooker:
  o DejaVuSans-Bold*.ttf instead of DejaVuSansBold*.ttf (again!)
  o no more /etc/rpm/platform (for rpm 4.4.2.2)
- install SMP packages when "match_all_hardware" option is set

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Pixel <pixel@mandriva.com> 10.6.1-1mdv2008.1
+ Revision: 118997
- 10.6.1:
- ensure failing to build mdkinst.sqfs is a fatal error
- drakx-in-chroot:
  o just like stage1, handle <root of distrib> ending with current arch() so
  that we can access main32 on x86_64
- do not rebuild rpmdb if it is ok
  (will workaround #32547) (need perl-URPM 3.01)
- adapt to perl-URPM 3.00 API to parse pubkey files
- adjust Uzbek locale (cf locales-uz change)
- sort languages in "choose language" step in text mode
- diskdrake:
  o drop "Undo", "Restore partition table", "Save partition table"
    (preparing to switch to libparted)
- don't check /proc/partitions for a partition_table::lvm
  (ie PV on non partitioned drive)

* Fri Nov 30 2007 Pixel <pixel@mandriva.com> 10.5.6-1mdv2008.1
+ Revision: 114184
- 10.5.6:
- restrict the proposed input-methods for each language
- /dev/<vg> may not exist if LVs have not been created, it must not be an error (#31478)
- use xkb instead of xmodmap
  (this fixes XF86_Switch_VT_X not defined in our xmodmaps)
- save bootloader on MBR when calling grub/install.sh, and restore it before
  calling it again (#35255) (ie implement "lilo -u" for grub)
- ensure /etc/sysconfig/console/default.kmap is generated with installed
  keymaps, not installer simplified (?) .bkmap (#35376)
- fix wrongly detecting some devices as laptop specific (#35759)
- add /etc/mke2fs.conf symlink so that mke2fs can use it (cf #27377)
- don't be strict on ldetect-lst version, only require at least version xxx

* Wed Nov 14 2007 Pixel <pixel@mandriva.com> 10.5.5-1mdv2008.1
+ Revision: 108655
- 10.5.5: adapt to cooker:
  o kbd_drv.so instead of keyboard_drv.so
  o DejaVuSansBold*.ttf instead of DejaVuSans-Bold*.ttf
- 10.5.4:
- use UUID by default (in fstab, bootloader)
- localedrake:
  o fix handling variant together with charset (eg: uz.UTF-8@Latn) (#35090)
- partitioning wizard: ensure existing_part and resize_fat are proposed before
  wipe_drive
- in case of ftp/http media, we select basesystem before doing
  bestKernelPackage so we must ensure the choice callback selects the good
  kernel (reported by Thomas Spuhler on cooker mailing list)
- do propose "Suisse" after selecting french language (#34675)
- use time() to know when to timeout (when launching installer X server)
  since the loop may be slower than 1 second (xf86misc::main::Xtest takes time
  on a failing X server on i810). Also print a message telling user to wait
  after 8 seconds.

* Fri Oct 05 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.238-2mdv2008.0
+ Revision: 95644
- rebuild with latest installer doc

* Fri Oct 05 2007 Pixel <pixel@mandriva.com> 10.4.238-1mdv2008.0
+ Revision: 95614
- 10.4.238:
- do not use pseudo Protocol "vboxmouse" during install, use "IMPS/2" instead

* Fri Oct 05 2007 Olivier Blin <oblin@mandriva.com> 10.4.236-2mdv2008.0
+ Revision: 95567
- explicitely buildrequire ldetect-lst 0.1.199-2mdv2008.0

* Thu Oct 04 2007 Pixel <pixel@mandriva.com> 10.4.236-1mdv2008.0
+ Revision: 95475
- rebuild with drakx-kbd-mouse-x11 0.37
- 10.4.236:
- fix copying of ../../i586/media/main medium
  (for dual_arch CDs sharing the i586 medium)
- fix configuring kdeglobals (was broken because of /etc/kderc using
  udpate-alternatives which use absolute symlinks)

* Thu Oct 04 2007 Pixel <pixel@mandriva.com> 10.4.233-1mdv2008.0
+ Revision: 95397
- rebuild with drakx-kbd-mouse-x11 0.36
- save "rpm -qa" in /usr/share/doc/drakx-installer-stage2/build-rpms.lst
- 10.4.233:
- use /dev/cdrom in fstab, but do not write corresponding udev rule
  (the rules will be generated at boot time otherwise it won't catch the
  hdX/srX switch)

* Thu Oct 04 2007 Olivier Blin <oblin@mandriva.com> 10.4.232-1mdv2008.0
+ Revision: 95283
- 10.4.232
- add helper to get kernel module path (to be used in draklive)

* Wed Oct 03 2007 Pixel <pixel@mandriva.com> 10.4.228-1mdv2008.0
+ Revision: 95036
- 10.4.228:
- use /dev/cdrom in fstab, and write corresponding udev rule
  (the rules were generated at boot time but here we ensure consistent naming)
- 2008 logo
- bootloader:
  o if there is a /boot, check /boot instead of "/" to allow grub or not

* Tue Oct 02 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.227-1mdv2008.0
+ Revision: 94714
- diskdrake:
  o improved wrapping of mount option descriptions (#19848)
- add ath5k module in wireless category

* Mon Oct 01 2007 Pixel <pixel@mandriva.com> 10.4.224-1mdv2008.0
+ Revision: 94165
- build with perl-URPM 2.07 (which handle precompiled kmod pkgs choice)
- 10.4.224:
- don't keep noarch pkgs symlinked (to ../../../i586/media/main/xxx.rpm)
  when copying packages on disk

* Mon Oct 01 2007 Pixel <pixel@mandriva.com> 10.4.223-1mdv2008.0
+ Revision: 94111
- 10.4.223:
- diskdrake:
  o bugfix 10.4.162: allow "LVM" on RAID (#34359)
- add acpi-cpufreq support for some Intel CPUs (family 6 model 15)
  (from Herton Ronaldo Krzesinski, #30208)

* Fri Sep 28 2007 Pixel <pixel@mandriva.com> 10.4.220-1mdv2008.0
+ Revision: 93644
- 10.4.220: cleanup __db* files
- rebuild with rpm not using DB_PRIVATE nor global RPMLOCK
- 10.4.219: ensure the rpmdb is closed

* Fri Sep 28 2007 Pixel <pixel@mandriva.com> 10.4.218-1mdv2008.0
+ Revision: 93556
- 10.4.218: add /etc/rpm/macros.cdb

* Thu Sep 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.217-1mdv2008.0
+ Revision: 93353
- help:
  o do not segfault on #foobar like anchors
  o try translated links first (#33679)

* Thu Sep 27 2007 Pixel <pixel@mandriva.com> 10.4.216-1mdv2008.0
+ Revision: 93242
- rebuild with bug-fix drakx-kbd-mouse-x11 0.32
- 10.4.216:
- allow to choose countries like "Angola" which have no locale (en_AO) in the
  "best" countries (alas it won't be remembered, will only be used in kde
  settings for now)

* Wed Sep 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.215-1mdv2008.0
+ Revision: 93187
- display nicer HTML release notes rather than raw text version
- fix using iso CD2 on disk (#33022):
  o remove " from medium name when reading media.cfg
  o handle "Volume id" ending with -CD[123] instead of -Disc[123]
- handle @::auto_steps in patch-oem.pl

* Wed Sep 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.214-1mdv2008.0
+ Revision: 93077
- do not ask desktop choice in upgrade (#34025)
- fix displaying help in custom partition (#33994)
- BuildRequires nfs-utils-clients for mount.nfs
- add mount.nfs binary (since mount doesn't handle nfs fs anymore)
- don't ask for desktop and go directly to choose groups if kde and gnome are
  not available on media (useful for mini iso)
- don't crash install when mounting CD fails (#33421)

* Mon Sep 24 2007 Pixel <pixel@mandriva.com> 10.4.211-1mdv2008.0
+ Revision: 92592
- 10.4.211:
- on upgrade, don't add resume=xxx if noresume is there (#33953)
- diskdrake
  o fix "Add to LVM"
- do not display any message when user screenshot when chrooted during install
  of pkgs (#33752)
- don't add resume=xxx to bootloader configuration if there is noresume (#33953)
- ignore /proc/partitions when "solaris" extended partition is present (#33866)
- translate the pkg summary when mdv-rpm-summary info is available
  (for the "Details" mode when installing packages)
- ensure mdv-rpm-summary is installed first (if selected)

* Fri Sep 21 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.207-1mdv2008.0
+ Revision: 91699
- localization:
  o default input method is now scim-bridge (#32138)

* Thu Sep 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.206-1mdv2008.0
+ Revision: 91405
- fix some banner icons (#33802)

* Thu Sep 20 2007 Olivier Blin <oblin@mandriva.com> 10.4.205-1mdv2008.0
+ Revision: 91313
- 10.4.205
- stop configuring TV cards in summary since kernel do a better job now
- fix passing module options when module name contains a '-' character
- add dkms-modules.alias and ldetect-lst-modules.alias files in stage2

* Wed Sep 19 2007 Pixel <pixel@mandriva.com> 10.4.204-1mdv2008.0
+ Revision: 91007
- 10.4.204:
- individual package selection: make the package "Info" non editable
- diskdrake:
  o "Clear All" defaults to LVM on full disk if drive is >4TB
  o do not allow partitions bigger than 2TB-1 on DOS MBR, nor partitions
    starting above 2TB-1
- restore banner on pop up messages (#33753)
- handle /boot/xxx files on linux raid1
- when basesystem can't be selected, display the reason
- also load dm-zero for dmraid
- add RC2 banner

* Mon Sep 17 2007 Pixel <pixel@mandriva.com> 10.4.201-1mdv2008.0
+ Revision: 89123
- 10.4.201:
- fix loading dependencies of kernel module "xxx-yyy" (instead of "xxx_yyy")
  (eg: dm-mirror)
- report_bug: hide grub password (#33634)
- fix blocking wait_message (when they pop) (#33676, #33670)
- advertising: restore support for $title in .pl files (wrongly dropped in 10.4.195)
- localization:
  o fix installing packages according to desktop
- boot loader config:
  o boot entrie list uses ellipsis rather than scroll bar

* Mon Sep 17 2007 Olivier Blin <oblin@mandriva.com> 10.4.199-1mdv2008.0
+ Revision: 88849
- 10.4.199
- fix loading of tifm_sd module

* Sun Sep 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.198-1mdv2008.0
+ Revision: 87733
- fix a crash
- localization:
  o install scim-bridge-qt4 if KDE4 is installed

* Sat Sep 15 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.197-1mdv2008.0
+ Revision: 87175
- localization:
  o enable to select 'scim-bridge' as IM
  o install needed packages for skim
  o install scim-qtimm for scim default config
  o remove extra SCIM combinations (simpler)

* Fri Sep 14 2007 Pixel <pixel@mandriva.com> 10.4.196-1mdv2008.0
+ Revision: 85663
- 10.4.196:
- fix typo breaking reading fstab with UUID= entries
- don't set $o->{security} until accepted (#33567)
- packageCallbackChoices: use prefered packages given by perl-URPM 2.00

* Fri Sep 14 2007 Olivier Blin <oblin@mandriva.com> 10.4.195-1mdv2008.0
+ Revision: 85425
- 10.4.195: fix loading of tifm_sd module (#18237)

* Thu Sep 13 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.194-1mdv2008.0
+ Revision: 85267
- do not allow to upgrade i586->x86_64 or x86_64->i586 (#33370)
- do not configure "windows" bootloader entries for "hidden" partitions
- fix unwrapped label (#33243)
- fix grub hanging if /boot on xfs (#33267)
- use user_xattr by default on reiserfs (#15068)
- for wait_message, display a banner and move "Please Wait" in the banner

  + Pixel <pixel@mandriva.com>
    - correct license (GPLv2+)

* Wed Sep 05 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.191-1mdv2008.0
+ Revision: 80331
- "choose desktop" step:
  o put images along labels in RadioButtons (HIG)
- summary screen:
  o add spacing around separators
  o fix not displaying the security group
- drop support for iiimf
- update bootloader & updates banner icons

* Wed Sep 05 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.190-1mdv2008.0
+ Revision: 80042
- display a warning when capslock is enabled and entering a password (#33028)
- fix insmoding raid0 (#33172)
- summary screen:
  o add spacing between elements
  o add an horizontal bar between elements
- hardware detection layer:
  o add support for tape device again (#31073)
  o enumerate generic SCSI devices again
- enumerate generic SCSI devices again

* Tue Sep 04 2007 Pixel <pixel@mandriva.com> 10.4.187-1mdv2008.0
+ Revision: 79139
- bugfix release: add desktop-Custom.png to tarball

* Tue Sep 04 2007 Pixel <pixel@mandriva.com> 10.4.186-1mdv2008.0
+ Revision: 79079
- new release, 10.4.186
- add global variable settable via "use_uuid" on kernel cmdline

* Tue Sep 04 2007 Pixel <pixel@mandriva.com> 10.4.185-1mdv2008.0
+ Revision: 79070
- bug fix release, 10.4.185
- fix gnome choice in "choose desktop" step (#33101)

* Mon Sep 03 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.184-1mdv2008.0
+ Revision: 78685
- support for UUID (including UUID=xxx in fstab)
- do not set relatime option for mounting nfs
- nicely adjust mtime of fontconfig cache files
- steps window: do not underline categories (Installation, Configuration)
- nicer "choose desktop" step with icons

* Fri Aug 31 2007 Pixel <pixel@mandriva.com> 10.4.183-1mdv2008.0
+ Revision: 76770
- new release, 10.4.183
- add new step "choose desktop", before or hiding "choose groups"
- bootloader-config
  o handle new naming of vmlinuz flavors: vmlinuz-<version>-<flavor>-Xmdv
    instead of vmlinuz-<version>-Xmdv<flavor>
  o always use "linux" short name instead of "linux-<flavor>"
    (since the long name is quite nice nowadays)

* Thu Aug 30 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.182-1mdv2008.0
+ Revision: 75649
- assume system is a laptop if it contains some "Intel Corporation|Mobile" devices
  (fix Samsung Q1U detection, #32967)
- enable snd-ac97-codec power_save=1 option if installed on laptop (#32213)
- set specific icons for summary steps (#32923)

* Wed Aug 29 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.181-1mdv2008.0
+ Revision: 74700
- fix translating steps titles
- ugtk2: use given title if available instead of default step title (#32923)

* Mon Aug 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.180-1mdv2008.0
+ Revision: 72092
- rebuild with latest libldetect
- bug command: fix choosing the usb-key/floppy drive
  (ie adapting interactive::stdio to new interactive callbacks)
- add /usr/share/ldetect-lst/fallback-modules.alias for
  drakx-in-chroot on old kernels
- fallback to kernel-desktop
- fix summary in text mode (#32858)
- fix loading linux software raid (mdadm) kernel modules
  (after rename raid5&raid6 -> raid456)
- diskdrake
  o fix action "Type" on a software raid (eg: dm0)
  o fix coloring "Other" partitions (#32845)
- update banner for RC1

* Fri Aug 24 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.179-1mdv2008.0
+ Revision: 71075
- install kernel-desktop-devel-latest instead of
  kernel-source-stripped-latest on upgrade

* Fri Aug 24 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.178-1mdv2008.0
+ Revision: 71058
- adapt to new kernel flavors

* Fri Aug 24 2007 Pixel <pixel@mandriva.com> 10.4.177-1mdv2008.0
+ Revision: 70897
- bug fix release, 10.4.177
- fix typo in banner name (otherwise internal_error)

* Fri Aug 24 2007 Olivier Blin <oblin@mandriva.com> 10.4.176-1mdv2008.0
+ Revision: 70824
- 10.4.176: fix resolving category from module (mainly fix usbhid loading)

* Thu Aug 23 2007 Pixel <pixel@mandriva.com> 10.4.175-1mdv2008.0
+ Revision: 69352
- new release, 10.4.175
- fix typo making selectKeyboard step not called
- diskdrake:
  o change the legend and the colors per partition
- drop /etc/sysconfig/usb configuration (not used anymore in initscripts)
- update banner for beta2

* Tue Aug 21 2007 Olivier Blin <oblin@mandriva.com> 10.4.174-1mdv2008.0
+ Revision: 68636
- 10.4.174
- set default per step banner title & icon for all steps
- fallback on module name if the filename can't be found
  (in the rare case the caller uses '-' in the module name)
- use '_' in module names when explicitely loading them (cosmetics only)
- kill old usb-storage code, mkinitrd now loads it when necessary

* Tue Aug 21 2007 Olivier Blin <oblin@mandriva.com> 10.4.173-1mdv2008.0
+ Revision: 68381
- 10.4.173: convert module names to module filenames
- 10.4.172: ignore wmaster* devices when detecting wireless interfaces

* Mon Aug 20 2007 Olivier Blin <oblin@mandriva.com> 10.4.171-1mdv2008.0
+ Revision: 68023
- 10.4.171: really use '_' in modules names

* Mon Aug 20 2007 Olivier Blin <oblin@mandriva.com> 10.4.170-1mdv2008.0
+ Revision: 67871
- 10.4.170: use '_' in modules names

* Tue Aug 14 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.169-2mdv2008.0
+ Revision: 63280
- rebuild with ldetect0.7.7 (thus fixing hw detection)

* Tue Aug 14 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.169-1mdv2008.0
+ Revision: 63112
- use better default title & icon for banners
- diskdrake:
  o add support for 'relatime' mount option
  o default all machines to 'relatime' mount option
    (except laptops which use the stronger noatime)
  o kill support for 'nodiratime' mount option

* Mon Aug 13 2007 Pixel <pixel@mandriva.com> 10.4.168-2mdv2008.0
+ Revision: 62795
- BuildRequires meta-task is needed for /etc/urpmi/prefer.vendor.list
  (can be removed once urpmi requires it)
- new release, 10.4.168
- merge root password step and create user step
- fix checking user creation info (#32517)
- allow to create only one user per default, but add an entry in summary to
  create more users
- authentication method is not configurable anymore for now.
  should we add it to summary?
- 'ibm_acpi' driver was replaced by 'thinkpad_acpi (#31606)
- internal
  o use urpm::select::get_preferred to choose preferred packages
    (need urpmi library >= 4.10.1)
  o computeGroupSize: do direct requires before choices
    (eg for epiphany: require libmozilla-firefox2.0.0.6 before choosing
    package providing libmozjs.so)

* Fri Aug 10 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.165-1mdv2008.0
+ Revision: 61461
- fix detecting sound cards

* Thu Aug 09 2007 Pixel <pixel@mandriva.com> 10.4.164-1mdv2008.0
+ Revision: 60828
- new release, 10.4.164
- cache PCI probe results
- use Xconfig::proprietary::pkgs_for_Driver2 from drakx-kbd-mouse-X11 0.21

* Thu Aug 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.162-2mdv2008.0
+ Revision: 60765
- rebuild with a fixed MDK::Common

* Wed Aug 08 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.162-1mdv2008.0
+ Revision: 60389
- drakboot:
  o allow choosing another bootloader method when a package cannot be
  installed (occurs on 2008.0 beta1 where mandriva-gfxboot-theme is missing)
- diskdrake:
  o do not show partition types which have no associated filesystem
    for LVM LV (#32326)
- partitionning:
  o allow using diskdrake even if there is only a lvm PV on full disk available
  o fix range max value >2TB when creating a partition (useful for LVs >2TB)
  o restore progress bar when formatting ext3
- kill security level step (only reachable from summary now)
- summary screen:
  o warn if the security level will prevent accessig windows partitions
  o reorder steps according to specs
  o render titles in bold
- rebuild with new ldetect

* Fri Aug 03 2007 Pixel <pixel@mandriva.com> 10.4.158-1mdv2008.0
+ Revision: 58668
- build with drakx-kbd-mouse-x11 0.20 (esp for default xorg.conf without xfs)
- new release, 10.4.158
- configure removable writable media to use "flush" option instead of "sync" (#23042)

* Thu Aug 02 2007 Pixel <pixel@mandriva.com> 10.4.155-1mdv2008.0
+ Revision: 58251
- new release, 10.4.155
- use kbd (setfont) instead of console-tools (consolechars)
- rebuild with rpm-mandriva-setup 1.48
- new release, 10.4.154
- drop supermount support
- diskdrake: drop "Rescue partition table" feature
  (was based on rescuept which has been dropped in util-linux, but was quite
  bad compared to testdisk anyway)

* Tue Jul 24 2007 Olivier Blin <oblin@mandriva.com> 10.4.150-1mdv2008.0
+ Revision: 54960
- 10.4.150: update banner for 2008 beta 1 (from Anne)

* Tue Jul 17 2007 Olivier Blin <oblin@mandriva.com> 10.4.149-1mdv2008.0
+ Revision: 53013
- 10.4.149: fix build of wireless binding with latest kernel headers
- 10.4.148
- add ide-disk module in disk/raw category
- load ide-disk module when loading disk/ide category

* Thu Jul 12 2007 Pixel <pixel@mandriva.com> 10.4.147-1mdv2008.0
+ Revision: 51505
- bug fix release, 10.4.147
- new release, 10.4.146
- allow using sqlite for rpmdb when using option rpm_dbapi=4
- add /lib/udev/usb_id which is needed by mouse.pm to generate /dev/input/by-id/xxx

* Sun Jul 08 2007 Pixel <pixel@mandriva.com> 10.4.142-3mdv2008.0
+ Revision: 49851
- ensure it really builds with fixed librpm (ie >= 4.4.8-6mdv2008.0)

* Fri Jul 06 2007 Pixel <pixel@mandriva.com> 10.4.142-2mdv2008.0
+ Revision: 49058
- rebuild with fixed librpm (so that installing pkg "setup" won't clobber
  /etc/fstab and break initrd creation)

* Mon Jul 02 2007 Pixel <pixel@mandriva.com> 10.4.142-1mdv2008.0
+ Revision: 46952
- brown paper bag fix (stage1 can't create symlink /etc/rpm/platform)

* Fri Jun 29 2007 Pixel <pixel@mandriva.com> 10.4.141-1mdv2008.0
+ Revision: 45688
- new release, 10.4.141:
- bundle /etc/rpm/platform for rpm 4.4.8
- use modularized ide drivers and configure ide-controller in modprobe.conf
- auto_install:
  o allow "automatic=met:http,ser:server,dir:/pub/dir
    kickstart=/pub/auto_inst.cfg" to get http://server/pub/auto_inst.cfg (#31474)
  o ensure /etc/resolv.conf is configured in /mnt for network installs
- add /etc/mke2fs.conf in order to format ext3fs with 4k blocks (#27377)
- diskdrake
  o fix 1.9TB displayed as 1TB
- do not ask for updates at end of installation when updates are already
  available (network installs) (#30344)
- do not try to configure dvd devices since /dev is wiped out at
  reboot
- fix detecting usb drives (#13395)
  (need a perl-MDK-Common 1.2.5)
- hw support:
  o handle snd-cs5530 driver
- install fonts-ttf-dejavu & fonts-ttf-liberation by default
- allow umounting cdrom during a transaction
- really allow having name with "/" in media.cfg
- use "mkfs.ext3" instead of "mkfs.ext2 -J"
  (to have dir_index & resize_inode features)
  (cf Frederik Himpe 23 Apr 2007 mail on cooker)
- new release, 10.4.137
- auto_install:
  o allow "automatic=met:http,ser:server,dir:/pub/dir
    kickstart=/pub/auto_inst.cfg" to get http://server/pub/auto_inst.cfg (#31474)
  o ensure /etc/resolv.conf is configured in /mnt for network installs
- add /etc/mke2fs.conf in order to format ext3fs with 4k blocks (#27377)
- diskdrake
  o fix 1.9TB displayed as 1TB
- do not ask for updates at end of installation when updates are already
  available (network installs) (#30344)
- do not try to configure dvd devices since /dev is wiped out at
  reboot
- fix detecting usb drives (#13395)
  (need a perl-MDK-Common 1.2.5)
- hw support:
  o handle snd-cs5530 driver
- install fonts-ttf-dejavu & fonts-ttf-liberation by default
- allow umounting cdrom during a transaction
- really allow having name with "/" in media.cfg
- use "mkfs.ext3" instead of "mkfs.ext2 -J"
  (to have dir_index & resize_inode features)
  (cf Frederik Himpe 23 Apr 2007 mail on cooker)
- don't BuildRequires x11-server-xnest, it's not needed afaik


* Thu Apr 05 2007 Pixel <pixel@mandriva.com> 10.4.129-1mdv2007.1
+ Revision: 150697
- new release, 10.4.129
- move advertising out of drakx-installer-stage2 into drakx-installer-advertising

* Wed Apr 04 2007 Pixel <pixel@mandriva.com> 10.4.128-3mdv2007.1
+ Revision: 150622
- we can't expect mandriva-release nor mandriva-release to be installed at the moment, removing the check
- mandriva-release is no more, mandriva-release-common is the one to check
- don't depend on mandriva-release %%version-%%release, only on %%version
- new release, 10.4.128
- don't configure /etc/kde/kdm/kdmrc if it doesn't exist
  (other kdmrc.rpmnew will be created, many important values will be missing)
- fix ext3 formatting with label and progress bar (#30032)
- fix taking screenshot
- prefering libkdebase4-kmenuedit over libkdebase46-kmenuedit to ensure
  kdebase-kmenuedit is chosen instead of kdebase4-kmenuedit
- rebuild with ldetect-lst 0.1.167

* Fri Mar 30 2007 Olivier Blin <oblin@mandriva.com> 10.4.126-1mdv2007.1
+ Revision: 149916
- use pci_domain when matching sysfs device and computing
  sysfs device path
- correctly mark "update" media in urpmi.cfg
- fix multiple detection of PCI network cards with the same driver
  (#29688)
- rename o->{build_live_system} as more generic
  o->{match_all_hardware} name
- automatically install network drivers when matching all hardware

* Tue Mar 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.122-1mdv2007.1
+ Revision: 148979
- final banner image
- fix installing kernel-source-stripped
- include mmc_block for card readers

  + Pixel <pixel@mandriva.com>
    - build with build with drakx-kbd-mouse-x11 0.14

* Fri Mar 23 2007 Pixel <pixel@mandriva.com> 10.4.120-1mdv2007.1
+ Revision: 148467
- new release, 10.4.120
- allow having name with "/" in media.cfg
- interactive::curses:
  o handle multi-line labels, and wrap too long labels (#29060)
- do not use bold&big for advanced_messages
  (fixes authentication choice being big & ugly, #28676)

* Thu Mar 22 2007 Pixel <pixel@mandriva.com> 10.4.119-1mdv2007.1
+ Revision: 148072
- build with drakx-kbd-mouse-x11 0.12
- build with drakx-net 0.8
- new release, 10.4.119
- use concat_symlink to get rid of ../../ in urpmi.cfg on x86_64 for main32 medium
- don't complain about missing pata drivers
- do not install nspluginwrapper on ia32 (#29808)
- use http://api.mandriva.com/mirrors/$type.$version.$arch instead of simply
  $version.$arch (useful to differentiate CorpoDesktop4)
- fix ati/nvidia drivers installation on One

* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.116-1mdv2007.1
+ Revision: 146617
- do not fallback on english HTML help but on on old translated help
- handle more drivers (dvb, ethernet, gigabit, ide, pcmcia, sata,
  sound, tv, usb hosts, wan, webcam, wireless)
- 2007 RC logo
- diskdrake: handle mkntfs

* Fri Mar 16 2007 Pixel <pixel@mandriva.com> 10.4.115-1mdv2007.1
+ Revision: 145242
- new release, 10.4.115
- use kernel-*latest to select the kernel,
  and also kernel-source-stripped-latest when dkms is installed on upgrade
- add some nice code selecting the various kernel-source-stripped (or
  kernel-.*-devel) corresponding to the chosen kernels
- allow having rpmsrate on CD0 overriding rpmsrate on CD1
  (bugged introduced in rev 37253)
- when using 2 media_cfg in auto_inst,
  allow specifying which rpmsrate will be used
- for locales with fallback (eg: br:fr), try main language before
  english

* Fri Mar 16 2007 Pixel <pixel@mandriva.com> 10.4.114-1mdv2007.1
+ Revision: 144865
- 10.4.114 fixes 10.4.113

* Fri Mar 16 2007 Pixel <pixel@mandriva.com> 10.4.113-1mdv2007.1
+ Revision: 144739
- new release, 10.4.113
- use grub-gfxmenu command to configure /boot/gfxmenu for grub

* Thu Mar 15 2007 Olivier Blin <oblin@mandriva.com> 10.4.111-1mdv2007.1
+ Revision: 144558
- 10.4.111 (fix installation of ati driver for One)

* Thu Mar 15 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.109-1mdv2007.1
+ Revision: 144152
- Buildrequire perl-Gtk2-Html2 for HTML help
- display HTML help if availlable
- load tifm_sd if needed (#25133)
- BuildRequires mandriva-doc-installer-help for HTML help

* Tue Mar 13 2007 Pixel <pixel@mandriva.com> 10.4.107-1mdv2007.1
+ Revision: 142402
- new release, 10.4.107
- prefer kde3 packages over kde4 packages
- rebuild with new drakx-kbd-mouse-x11

* Mon Mar 12 2007 Pixel <pixel@mandriva.com> 10.4.106-1mdv2007.1
+ Revision: 142000
- new release, 10.4.106
- move the lib64 symlink in share/symlinks (to fix drakx-in-chroot),
  this will leave a harmless dangling symlink in most cases though
- configure "tifm_7xx1" driven card_reader (#25133)
- do not bother configure old modutils
- fix PCI descriptions returned from pci_probe()
- enhance wrapping in wizards

* Tue Mar 06 2007 Pixel <pixel@mandriva.com> 10.4.103-1mdv2007.1
+ Revision: 133659
- new release:
  o add icons needed by xorg configuration (#29069)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - better summary & description

* Thu Feb 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.98-1mdv2007.1
+ Revision: 124685
- do not install athcool on ia32, it freeze at least some nforce2 machines
- fix regexp for kernel-2.6.17.10mdv for autoinstall install & liveCD building
- include fsck.jfs on x86_64 too (#28821)
- update kernel/list_modules.pm

* Fri Feb 16 2007 Pixel <pixel@mandriva.com> 10.4.96-2mdv2007.1
+ Revision: 122037
- pcmcia_probe.o is needed

* Fri Feb 16 2007 Pixel <pixel@mandriva.com> 10.4.96-1mdv2007.1
+ Revision: 121862
- mandriva-gfxboot-theme is not needed to build
- new release, 10.4.96
- handle vga=0x3.. instead of vga=7..
- prefer free-kde-config (otherwise one-kde-config is chosen)
- use system-wide raghu.ttf (pablo)
- fix rights on files
- fix automatic selection of proprietary video kernel packages (blino)
- modify custom.conf instead of gdm.conf (blino)

* Thu Feb 08 2007 Pixel <pixel@mandriva.com> 10.4.93-1mdv2007.1
+ Revision: 117981
- add BuildRequires fonts-ttf-devanagari (for devanagari/raghu.ttf)
- 10.4.93
- install was completly broken because of stuff.so not being at the right place

* Tue Feb 06 2007 Pixel <pixel@mandriva.com> 10.4.92-1mdv2007.1
+ Revision: 116893
- first release
- Create drakx-installer-stage2

